class StyleSheet {
  constructor(id) {
    this.sheet = id ? document.getElementById(id) : this.create_sheet()
  }

  create_sheet() {
    var style_element = document.createElement('style')
    // WebKit hack :(
    style_element.appendChild(document.createTextNode(''))

    document.head.appendChild(style_element)

    return style_element.sheet
  }

  add_rule(selector, rules) {
    if ('insertRule' in this.sheet) {
      this.sheet.insertRule(selector + '{' + rules + '}')
    } else if ('addRule' in this.sheet) {
      this.sheet.addRule(selector, rules)
    }
  }
}

export default StyleSheet
