import { illuminate_string, obfuscate_string } from './string_tools'

const create_class_list = (...mixed_array) =>
  mixed_array.filter(Boolean).join(' ')

const create_honeypot_label = ({ for_id, class_name, extra_classes }) => {
  const honeypot_label = document.createElement('label')

  honeypot_label.for = for_id
  honeypot_label.className = create_class_list(class_name, extra_classes)

  return honeypot_label
}

const create_honeypot_field = ({
  id,
  type,
  name,
  class_name,
  extra_classes,
}) => {
  const honeypot_field = document.createElement('input')

  honeypot_field.id = id
  honeypot_field.name = name
  honeypot_field.type = type
  honeypot_field.className = create_class_list(class_name, extra_classes)
  honeypot_field.autocomplete = 'false'
  honeypot_field.tabindex = -1

  return honeypot_field
}

const create_timer_field = ({ class_name, name }) => {
  const timer_field = document.createElement('input')
  timer_field.className = class_name
  timer_field.name = obfuscate_string(name)
  timer_field.type = 'hidden'
  timer_field.value = 0

  return timer_field
}

const create_version_field = ({ class_name, name }) => {
  const version_field = document.createElement('input')
  version_field.className = class_name
  version_field.name = obfuscate_string(name)
  version_field.type = 'hidden'

  return version_field
}

export {
  create_honeypot_label,
  create_honeypot_field,
  create_timer_field,
  create_version_field,
}
